const system=require("../../system");
const Dao=require("../dao.base");
class ShopDao extends Dao{
  constructor(){
    super(Dao.getModelName(ShopDao));
  }
  //获取店铺信息
  async getShopItemInfo(tOnlycode){
    return this.model.findOne({where:{onlyCode:tOnlycode},attributes:["id","name","headUrl","userMobile","shopNum","created_at"],raw:true});
  }
}
module.exports=ShopDao;
